%{?nodejs_find_provides_and_requires}

# Tests fail inside Koji due to terminal environment.
%global enable_tests 1

Name:       nodejs-chalk0
Version:    0.4.0
Release:    5%{?dist}
Summary:    Terminal string styling done right
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/chalk
Source0:    http://registry.npmjs.org/chalk/-/chalk-%{version}.tgz
Source1:    https://raw.github.com/sindresorhus/chalk/0a33a270b1e00ae4dea31b8ca368056d6823a148/test.js
# https://github.com/sindresorhus/chalk/pull/14
Source2:    LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(ansi-styles)
BuildRequires:  npm(has-color)
BuildRequires:  npm(strip-ansi)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .

%nodejs_fixdep has-color '~0.1'
%nodejs_fixdep ansi-styles
%nodejs_fixdep strip-ansi '~0.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/chalk@0
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/chalk@0/

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha
%endif


%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%license LICENSE
%{nodejs_sitelib}/chalk@0


%changelog
* Thu Feb 18 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.0-5
- Split package off into nodejs-chalk0 to upgrade nodejs-chalk to version 1.x.y

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-2
- fix versioned dependencies

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- initial package
